--- title: "메서드 응답 헤더 조회" slug: "apigateway-getresponseparameters" tags: ["API Gateway", "Method"] updated: 2026-09-17T09:16:01Z published: 2026-09-17T09:16:01Z canonical: "api.ncloud-docs.com/apigateway-getresponseparameters" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # 메서드 응답 헤더 조회 Classic/VPC 환경에서 이용 가능합니다. 사용자 정의한 메서드의 응답 헤더를 조회합니다. ## 요청 요청 형식을 설명합니다. 요청 형식은 다음과 같습니다. | 메서드 | URI | | --- | --- | | GET | /api/v1/products/{product-id}/apis/{api-id}/resources/{resource-id}/methods/{method-name}/responses/{status-code}/parameters | ### 요청 헤더 API Gateway에서 공통으로 사용하는 헤더에 대한 정보는 [API Gateway 요청 헤더](/docs/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94)를 참조해 주십시오. ### 요청 경로 파라미터 요청 경로 파라미터에 대한 설명은 다음과 같습니다. | 필드 | 타입 | 필수 여부 | 설명 | | --- | --- | --- | --- | | `product-id` | String | Required | API가 속한 Product ID - 1~10자 - [Product 목록 조회](/docs/apigateway-product-getproductlist)를 통해 확인 | | `api-id` | String | Required | 응답 헤더를 조회할 API의 ID - 1~10자 - [API 조회](/docs/apigateway-api-apis)를 통해 확인 | | `resource-id` | String | Required | API 내 대상 리소스의 ID - 1~10자 - [Resource 목록 조회](/docs/apigateway-resource-getresourcelist)를 통해 확인 | | `method-name` | String | Required | 대상 메서드 타입 - `ANY` \| `GET` \| `POST` \| `PUT` \| `DELETE` \| `PATCH` \| `OPTIONS` \| `HEAD` | | `status-code` | Integer | Required | 응답 상태 코드 - [메서드 응답 조회](/docs/apigateway-method-getresponses)를 통해 확인 | ### 요청 예시 요청 예시는 다음과 같습니다. ``` curl --location --request GET 'https://apigateway.apigw.ntruss.com/api/v1/products/********o9/apis/cvcohvd2xj/resources/tf73xuex0v/methods/GET/responses/200/parameters' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## 응답 응답 형식을 설명합니다. ### 응답 구문 응답 구문은 다음과 같습니다. ``` { "headers" : [ { "resourceId" : "resourceId", "methodCode" : "methodCode", "tenantId" : "tenantId", "parameterCode" : "REQUEST_HEADER", "parameterType" : "string", "apiId" : "apiId", "parameterName" : "parameterName", "statusCode" : 6, "parameterDescription" : "parameterDescription", "isRequired" : true, "isArray" : true, "modifier" : "modifier", "parameterNo" : 0 } ] } ``` ### 응답 상태 코드 API Gateway에서 공통으로 사용하는 응답 상태 코드에 대한 정보는 [API Gateway 응답 상태 코드](/docs/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C)를 참조해 주십시오. ### 응답 예시 응답 예시는 다음과 같습니다. ``` { "headers": [ { "resourceId": "tf73xuex0v", "methodCode": "0001", "tenantId": "********65ec41039ce6668c2058b8a9", "parameterCode": "RESPONSE_HEADER", "parameterType": "string", "apiId": "cvcohvd2xj", "parameterName": "x_header", "statusCode": 200, "parameterDescription": "header description", "isRequired": false, "isArray": false } ] } ```